# $Revision: 1.35 $, $Date: 2007-02-12 21:23:51 $
# TODO
# - /etc/env.d/PATH does not support "merging",
#   so therefore we use /etc/profile.d
# - better name for subpackage?
%include	/usr/lib/rpm/macros.perl
Summary:	Perl wrapper which colorizes the output of the gcc/g++ compiler
Summary(pl.UTF-8):	Program kolorujący komunikaty kompilatorów gcc/g++
Name:		colorgcc
Version:	1.3.2
Release:	8
License:	GPL
Group:		Development/Tools
Source0:	http://home.i1.net/~jamoyers/software/colorgcc/%{name}-%{version}.tar.gz
# Source0-md5:	7d62f92ab99c8271c79c40a0a470e8f7
Patch0:		%{name}-paths.patch
Patch1:		%{name}-perl-5.6.patch
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/%{name}

%description
colorgcc is a Perl wrapper that colorizes the output of the gcc/g++
compiler.

Read %{_docdir}/%{name}-%{version}/INSTALL after installing colorgcc.

%description -l pl.UTF-8
colorgcc to napisany w Perlu program opakowujący (wrapper), który
koloruje tekst wypisywany przez kompilatory gcc/g++ podczas
kompilacji.

Po zainstalowaniu tego pakietu warto przeczytać
%{_docdir}/%{name}-%{version}/INSTALL .

%package wrapper
Summary:	Symlinks for c++/cc/g++/gcc
Summary(pl.UTF-8):	Dowiązania symboliczne do c++/cc/g++/gcc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description wrapper
This package contains the softlinks to colorgcc for each compiler you
want to colorize.

%description wrapper -l pl.UTF-8
Ten pakiet zawiera dowiązania symboliczne do colorgcc dla każdego z
kolorowanych kompilatorów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/profile.d}

install colorgcc $RPM_BUILD_ROOT%{_bindir}

for cc in cc c++ g++ gcc %{_target_cpu}-pld-linux-gcc %{_target_cpu}-pld-linux-g++; do
	ln -s ../../bin/colorgcc $RPM_BUILD_ROOT%{_libdir}/$cc
done

echo 'export PATH=%{_libdir}:$PATH' > \
	$RPM_BUILD_ROOT/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL ChangeLog CREDITS colorgccrc
%attr(755,root,root) %{_bindir}/colorgcc

%files wrapper
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/%{name}.sh
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: colorgcc.spec,v $
Revision 1.35  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.33  2005/12/11 23:00:01  glen
- wrapper requires main

Revision 1.32  2005/10/01 21:26:30  glen
- rel 8

Revision 1.31  2005/02/13 15:11:27  wolf
- pl

Revision 1.30  2005/02/13 15:06:10  qboosh
- +x for profile
- using __cc/__cxx here isn't good idea (they can be whole commands)

Revision 1.29  2005/02/13 10:41:51  ankry
- pl

Revision 1.28  2005/02/12 19:04:12  glen
- fix path to INSTALL in %description
- follow the PLD concept: preconfigured for use - added -wrapper subpackage

Revision 1.27  2004/08/18 19:35:34  undefine
- release 7

Revision 1.26  2004/05/09 05:38:36  ankry
- BR fixes, rel. 6

Revision 1.25  2003/12/29 14:25:57  undefine
- release 5 to rebuild with ac

Revision 1.24  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.23  2003/08/06 16:48:14  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.22  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:46:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/06/20 21:33:15  kloczek
- use new %doc.

Revision 1.19  2002/04/25 16:06:07  arturs
- fixed a small typo

Revision 1.18  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/12 10:42:52  qboosh
- Back. "project is dead" doesn't cause it stop working :>

Revision 1.15  2002/01/18 02:12:34  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/04/17 12:04:19  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.13  2001/02/19 20:55:25  kloczek
- release 3.

Revision 1.12  2000/12/22 20:04:01  qboosh
- patch to make it perl-5.6 compatible (perl-5.005 too)
- BuildRequires perl-ANSIColor -> perl(Term::ANSIColor)

Revision 1.11  2000/09/25 06:29:55  kloczek
- adapterized.

Revision 1.10  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.7  1999/11/25 21:52:17  pius
- release 2
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- cosmetics
- rebuild in new environment

Revision 1.6  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May  9 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.3.2-1]
- initial rpm release.
